﻿function TitanPanelCraftBotButton_OnLoad()

	if not TitanPanelButton_UpdateButton then
		return
	end

	this.registry = {
		id = TITAN_CRAFTBOT_ID,
		menuText = CRAFTBOT_MENU,
		version = CRAFTBOT_VERSION,
		buttonTextFunction = "TitanPanelCraftBotButton_GetButtonText",
		tooltipTitle = CRAFTBOT_MENU,
		tooltipTextFunction = "TitanPanelCraftBotButton_GetTooltipText",
		frequency = TITAN_CRAFTBOT_FREQUENCY,
		category = TITAN_CRAFTBOT_CATEGORY,
		icon = "Interface\\AddOns\\CraftBotTitan\\icon",
		iconWidth = 16,
		savedVariables = {
			ShowIcon = 1,
			ShowLabelText = 1
		}
	}

end

function TitanPanelCraftBotButton_OnClick(arg1)
	if (arg1 == "LeftButton") then
		CraftBot_ToggleOptions()
	end
end

function TitanPanelCraftBotButton_GetTooltipText()
	return CraftBot_GetTooltipText()
end

function TitanPanelCraftBotButton_GetButtonText(id)
	local ButtonText = CraftBot_GetButtonText()
	if (TitanGetVar(TITAN_CRAFTBOT_ID, "ShowLabelText")) then
		ButtonText = CRAFTBOT_LABEL .. ButtonText
	end
	return ButtonText
end

function TitanPanelRightClickMenu_PrepareCraftBotMenu()

	TitanPanelRightClickMenu_AddTitle(CRAFTBOT_MENU)

	TitanPanelRightClickMenu_AddSpacer()

	info = {}
	info.text = CRAFTBOT_ENABLE
	info.func = function() CraftBot_Activate(not CraftBot_On) end
	info.value = CRAFTBOT_ENABLE
	info.checked = CraftBot_On
	UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL)

	TitanPanelRightClickMenu_AddSpacer()

	info = {}
	info.text = CRAFTBOT_MENU_OPTION
	info.func = function() CraftBot_ToggleOptions() end
	info.value = CRAFTBOT_MENU_OPTION
	info.checked = false
	UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL)

	TitanPanelRightClickMenu_AddSpacer()

	TitanPanelRightClickMenu_AddToggleIcon(TITAN_CRAFTBOT_ID)
	TitanPanelRightClickMenu_AddToggleLabelText(TITAN_CRAFTBOT_ID)
	
	TitanPanelRightClickMenu_AddSpacer()

	TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, TITAN_CRAFTBOT_ID, TITAN_PANEL_MENU_FUNC_HIDE)

end
